Package org.eclipse.mat.ui.editor

# Interface IMultiPaneEditorContributor

All Known Implementing Classes:
  `HeapEditorContributions`

public interface IMultiPaneEditorContributor
Used to contribute items to the tool bar of the editor.

## Method Summary

Modifier and Type
Method
Description
`void`
`contributeToToolbar(IToolBarManager manager)`
Called to enable the extension to add contributions to the toolbar.
`void`
`dispose()`
Called when the editor stops
`void`
`init(MultiPaneEditor editor)`
Called when the editor starts

## Method Details

### init

void init(MultiPaneEditor editor)
Called when the editor starts

### contributeToToolbar

void contributeToToolbar(IToolBarManager manager)
Called to enable the extension to add contributions to the toolbar.

### dispose

void dispose()
Called when the editor stops